Bug 441104 - Error: Missing Dependency: /usr/bin/rebuild-security-providers is needed by package java-1.5.0-gcj
Error: Missing Dependency: /usr/bin/rebuild-security-providers is needed by p...
Status: CLOSED DUPLICATE of bug 260161
Product: Fedora
Classification: Fedora
Component: java-1.5.0-gcj (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 04:30 EDT by Thomas Schweikle
Modified: 2008-04-10 11:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 11:44:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Additional repo used "crash-hat.repo" (189 bytes, application/octet-stream)
2008-04-10 03:05 EDT, Thomas Schweikle
no flags Details
Additional repo used "jpackage17.repo" (1.02 KB, application/octet-stream)
2008-04-10 03:06 EDT, Thomas Schweikle
no flags Details
Additional repo used "livna.repo" (1.77 KB, application/octet-stream)
2008-04-10 03:06 EDT, Thomas Schweikle
no flags Details
Additional repo used "livna-devel.repo" (1.86 KB, application/octet-stream)
2008-04-10 03:06 EDT, Thomas Schweikle
no flags Details
Additional repo used "livna-testing.repo" (1.96 KB, application/octet-stream)
2008-04-10 03:07 EDT, Thomas Schweikle
no flags Details
Fedora repository used "fedora.repo" (1.07 KB, application/octet-stream)
2008-04-10 03:08 EDT, Thomas Schweikle
no flags Details
Fedora repository "fedora-updates.repo" (1006 bytes, application/octet-stream)
2008-04-10 03:08 EDT, Thomas Schweikle
no flags Details
Packages installed on the system (13.07 KB, text/plain)
2008-04-10 03:18 EDT, Thomas Schweikle
no flags Details

  None (edit)
Description Thomas Schweikle 2008-04-06 04:30:31 EDT
Description of problem:
Error: Missing Dependency: /usr/bin/rebuild-security-providers is needed by 
package java-1.5.0-gcj

Version-Release number of selected component (if applicable):
java-1.5.0-gcj

How reproducible:
upgrade an existing system with java-1.5.0-gcj installed.

Steps to Reproduce:
1. Install Fedora 7 with tomcat5
2. Upgrade this system "yum update"
  
Actual results:
Error: Missing Dependency: /usr/bin/rebuild-security-providers is needed by 
package java-1.5.0-gcj

Expected results:
Install the update.

Additional info:
rebuild-security-providers is there:
> ls -la /usr/bin/rebuild-security-providers
-rwxr-xr-x 1 root root 497  2. Feb 22:50 /usr/bin/rebuild-security-providers

Only the package java-1.5.0-gcj doesn't find it!
Comment 1 John Poelstra 2008-04-09 23:18:01 EDT
Where are you installing tomcat5 from?  Are you installing it from one of
Fedora's repositories or elsewhere?
Comment 2 Thomas Schweikle 2008-04-10 03:05:55 EDT
Created attachment 301940 [details]
Additional repo used "crash-hat.repo"
Comment 3 Thomas Schweikle 2008-04-10 03:06:25 EDT
Created attachment 301941 [details]
Additional repo used "jpackage17.repo"
Comment 4 Thomas Schweikle 2008-04-10 03:06:38 EDT
Created attachment 301942 [details]
Additional repo used "livna.repo"
Comment 5 Thomas Schweikle 2008-04-10 03:06:52 EDT
Created attachment 301943 [details]
Additional repo used "livna-devel.repo"
Comment 6 Thomas Schweikle 2008-04-10 03:07:07 EDT
Created attachment 301944 [details]
Additional repo used "livna-testing.repo"
Comment 7 Thomas Schweikle 2008-04-10 03:08:17 EDT
Created attachment 301945 [details]
Fedora repository used "fedora.repo"
Comment 8 Thomas Schweikle 2008-04-10 03:08:45 EDT
Created attachment 301946 [details]
Fedora repository "fedora-updates.repo"
Comment 9 Thomas Schweikle 2008-04-10 03:18:35 EDT
Created attachment 301948 [details]
Packages installed on the system
Comment 10 Thomas Schweikle 2008-04-10 03:20:09 EDT
There are various packages sharing files, but depending on each other. Most of 
them (if not all) are from "jpackage".
Comment 11 Thomas Schweikle 2008-04-10 03:31:24 EDT
This could be the same as found with "xulrunner" in "rawhide" (https://
bugzilla.redhat.com/show_bug.cgi?id=433096). If this is the case, there would 
only be on working solution: find all packages providing "/usr/bin/rebuild-
security-providers", remove this provide and add a new package providing "/usr/
bin/rebuild-security-providers". The packages which got this removed will have 
to depend on this new package.

In case this is not possible, this isn't fixable, meaning: no easy, automated 
upgrade.
Comment 12 Thomas Fitzsimmons 2008-04-10 11:44:29 EDT
I'm assuming "yum update" is attempting to install jpackage-utils from the
JPackage repository.  This didn't work in Fedora 7 or Fedora 8 because of:

https://bugzilla.redhat.com/show_bug.cgi?id=260161

This is fixed in Rawhide.  No Rawhide packages require /usr/
bin/rebuild-security-providers and Rawhide jpackage-utils does not provide it. 
As a workaround you could try installing java-1.5.0-gcj and jpackage-utils from
Rawhide.

*** This bug has been marked as a duplicate of 260161 ***

Note You need to log in before you can comment on or make changes to this bug.